Subject: [Ltru] draft-t-davis-t-langtag-ext proofreading nits (Was: Re: Extensions in general (was: Re: Fwd: draft-davis-t-langtag-ext))

From: CE Whitehead <[email-masked]>
Date: Mon, 11 Jul 2011 17:05:50 -0400

Hi, I don't know if you all are taking proofreading corrections or not at this point for the draft at:http://tools.ietf.org/html/draft-davis-t-langtag-ext-01Here are a few:Part 1, par 3   "For example, if one is transcribing the names of Italian or Russian   cities on a map for Japanese users, each name will need to be   transliterated into katakana using rules appropriate for the specific   source and target language.  When tagging such data, it is important   to be able to indicate not only the resulting content language ("ja"   in this case), but also the source language." { COMMENT:  Minor picky nit: you don't need to use the future for this; the habitual present works better I think; I changed "will need" to "needs" }=>  " For example, for transcriptions of names of Italian or Russian   cities on a map , for Japanese users, each name needs to be   transliterated into katakana using rules appropriate for the specific   source and target language.   When tagging such data, it is important   to be able to indicate not only the resulting content language ("ja"   in this case), but also the source language."* * *Part 1 Par 4   "Transforms such as transliteration may vary depending not only on the   basis of the source and target script, but also language.  Thus the   Russian <U+041F U+0443 U+0442 U+0438 U+043D> (which corresponds to   the Cyrillic <PE, U, TE, I, EN>) transliterates into "Putin" in   English but "Poutine" in French.  The identifier may need to indicate   a desired mechanical transformation in an API, or may need to tag   data that has been converted (mechanically or by hand) according to a   transliteration method."{ COMMENT:   to omit "on" from the second part of the "not only . . . but also" clause you probably need to have "on" precede "not only;" otherwise you need to say "not only on . . . but also on;"  the "on" should not be ellipsed here. }=>   "Transforms such as transliteration may vary depending not only on the   basis of the source and target script, but also on language.  Thus the   Russian <U+041F U+0443 U+0442 U+0438 U+043D> (which corresponds to   the Cyrillic <PE, U, TE, I, EN>) transliterates into "Putin" in   English but "Poutine" in French.  The identifier may need to indicate   a desired mechanical transformation in an API, or may need to tag   data that has been converted (mechanically or by hand) according to a   transliteration method."* * *2.1.  Introduction  " Identification of transforms can be done using the 't' extension   defined in this document.  This extension is formed by the 't'   singleton followed by a sequence of subtags that would form a   language tag defined by [BCP47].  This allows for the source language   or script to be specified to the degree of precision required.  There   are restrictions on the sequence of subtags.  They MUST form a   regular, valid, canonical language tag, and MUST neither include   extensions nor private use sequences introduced by the singleton 'x'.   Where only the script is relevant (such as identifying a script-   script transliteration) then 'und' is used for the primary language   subtag."{ COMMENT/QUESTION: should not this read "form a language tag AS defined by [BCP47]" ??that is I think you should insert "as" here }
=>  " Identification of transforms can be done using the 't' extension   defined in this document.  This extension is formed by the 't'   singleton followed by a sequence of subtags that would form a   language tag as defined by [BCP47].  This allows for the source language   or script to be specified to the degree of precision required.  There   are restrictions on the sequence of subtags.  They MUST form a   regular, valid, canonical language tag, and MUST neither include   extensions nor private use sequences introduced by the singleton 'x'.   Where only the script is relevant (such as identifying a script-   script transliteration) then 'und' is used for the primary language   subtag."* * *2.1 par 1{ COMMENT/QUESTION:  is a statement needed following paragraph 1 of 2.1 that "the registry subtags used following the -t extensioin mean essentially what they do as defined in the registry -- although of course they indicate the "from" language when they follow -t?"}* * *2.1 par 3"In addition, it is sometimes necessary to indicate additional   information about the transformation.  This additional information is   optionally supplied after the source in a series of one or more   fields, where each field consists of a field separator subtag   followed by one or more non-separator subtags.  Each field separator   subtag consists of a single letter followed by a single digit."{ COMMENT:  Picky, picky, but I would like to see a more specific phrase than "[i]n addition" to start this paragraph.  So I tried rewriting the first sentence.   I also changed "supplied" to "specified" in the second sentence}=>"Sometimes, more information about a transformation, in addition to its source language, is needed.  This additional information is optionally specified after the source language in a series of one or more fields, where each field consists of a field separator subtag followed by one or more non-separator subtags.  Each field separator subtag consists of a single letter followed by a single digit."* * *2.6 par 2"The committee MAY request more information be supplied in tickets in the future if such information is found to be useful."
 { COMMENT: (1), "request that more information be supplied" is the correct way to say this I think; alternately you can say "request more information," or perhaps, "request additional tickets with more information" (interestingly I would find "I suggest you do that,"  or "I insist he comem" to be perfectly good grammar, with "that" omitted, but "request" does not seem to be the same, maybe because "request" can be followed by a noun and "that" helps disambiguate?? same deal with "recommend," perhaps because you can recommend someone for a position, or something you need to use "that" before a verb; I can't find anything online to say this is a grammatical rule, but when I google "I request he go" I get either request followed by a noun or "request that" and then a verb) (2), also I am having a problem with "if such information is found to be useful."Do you mean, "if additional information is needed?"   I would say that if that's what you mean.  }
=> ??"If additional information is needed at a future date, the committee MAY request that more information be supplied via tickets."or ?? =>"If more information is needed, the committee MAY at a future date request tickets containing the additional information. "
Best,--C. E. [email-masked]